using InABox.Core;

namespace InABox.Avalonia
{

    public interface IQueueUpdater
    {
        void ProcessQueue();
    }
    
    public interface IQueueUpdater<TEntity> : IQueueUpdater
        where TEntity : Entity, IPersistent, IRemotable, new()
    {
        void Add(TEntity entity);

        TEntity[] Items { get; }
    }

 
}